> ## Documentation Index
> Fetch the complete documentation index at: https://docs.scrapebadger.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get search suggestions

> Get search suggestions.

Get search suggestions.

**Credits:** 20 per successful request. Failed requests and empty result sets are not charged.

## Authentication

<ParamField header="X-API-Key" type="string" required>Your ScrapeBadger API key.</ParamField>

## Parameters

<ParamField query="query" type="string" required>
  Query. Minimum length: 1. Maximum length: 250.
</ParamField>

<ParamField query="country" type="string" default="US">
  Country.
</ParamField>

<ParamField query="currency" type="string" default="USD">
  Currency.
</ParamField>

<ParamField query="language" type="string" default="en-US">
  Language.
</ParamField>

## Response

```json theme={null}
{
  "query": "ceramic",
  "suggestions": [
    "ceramic wall art"
  ],
  "results": [
    {
      "query": "ceramic wall art",
      "search_types": [],
      "search_type_names": []
    }
  ]
}
```

## Example

```bash theme={null}
curl --get 'https://scrapebadger.com/v1/etsy/autocomplete' \
  --header 'X-API-Key: YOUR_API_KEY' \
  --data-urlencode 'query=ceramic'
```

[Browse all Etsy endpoints](/etsy/overview).


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.